function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import React from 'react';
import { shallow } from 'enzyme';
import { StatefulContainer as StatefulPopoverContainer } from '../../popover/index.js';
import { StatefulContainer as StatefulTooltipContainer, PLACEMENT, TRIGGER_TYPE } from '../index.js';
import baseDefaultProps from '../default-props.js';
describe('StatefulTooltipContainer', function () {
  test('basic render', function () {
    var props = {
      content: jest.fn(),
      initialState: {
        isOpen: true
      },
      onMouseEnterDelay: 100,
      onMouseLeaveDelay: 200,
      onClose: jest.fn(),
      onOpen: jest.fn(),
      placement: PLACEMENT.topLeft,
      showArrow: true,
      stateReducer: jest.fn(),
      triggerType: TRIGGER_TYPE.hover
    };
    var children = jest.fn();
    var component = shallow(React.createElement(StatefulTooltipContainer, props, children)); // Should just delegate to StatefulPopoverContainer

    expect(component.type()).toEqual(StatefulPopoverContainer);
    expect(component.props()).toEqual(_objectSpread({}, baseDefaultProps, props, {
      children: children,
      dismissOnClickOutside: true,
      dismissOnEsc: true,
      ignoreBoundary: false
    }));
  });
});